from django.urls import include, path
from django.views.generic import TemplateView

from .views import home, send_push

urlpatterns = [
    path("send_push", send_push),
    path("webpush/", include("webpush.urls")),
    path(
        "sw.js",
        TemplateView.as_view(
            template_name="sw.js", content_type="application/x-javascript"
        ),
    ),
]
